<?xml version="1.0" encoding="windows-1250"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
	<HTML>
		<head>
			<title><xsl:value-of select="SQLDB/Name" /></title>
			<style><![CDATA[
				TD {
					VERTICAL-ALIGN: top;
				}
						
				.heading {
					font-family:Tahoma,Arial,Helvetica,sans-serif;
					font-size:14pt;
					font-weight:bold;
					margin-top:12pt;
					margin-bottom:12pt;
					background-color: lightgreen
				}
				.subheading {
					font-family:Tahoma,Arial,Helvetica,sans-serif;
					font-size:12pt;
					margin-top:12pt;
					margin-bottom:12pt;
				}	
				.nagl_spec{
					font-size:8pt;
					font-family:Tahoma,Arial,Helvetica,sans-serif;
					border-top:1 solid black;
					border-left:1 solid black;
					border-right:1 solid black;
					border-bottom:1 solid black;
					background-color: beige
				}

				.poz_spec{
					font-size:8pt;
					font-family:Tahoma,Arial,Helvetica,sans-serif
				}

				.poz_err{
					font-size:8pt;
					font-family:Tahoma,Arial,Helvetica,sans-serif;
					font-color: red
				}
			]]></style>	
		</head>
		<body>
			<h1 class="heading" >Baza danych: <xsl:value-of select="SQLDB/Name" /></h1>
			<p class="poz_spec"><xsl:value-of select="SQLDB/Date" /></p>

			<p class="poz_spec">Dokumentacja tworzona jest automatycznie co godzin (6:30 - 17:30) na podstawie wzorca 
			bazy danych znajdujcego si na serwerze SQLSERVER\DEV. 
			Dokumentowane s tabele, dla ktrych istniej zapisy w tabeli <b>__Tabele</b>. Stamtd te pobierany jest 
			ich opis. Opisy poszczeglnych pl w kadej tabeli brane s take bezporednio z bazy danych, z zawartoci
			parametru <b>Description</b> danego pola.</p>
			<hr />
			<xsl:if test="//Table[Alert]">
				<p class="poz_spec">Podejrzane tabele:
					<xsl:for-each select="//Table[Alert]"><div class="poz_spec"><xsl:element name="a"><xsl:attribute name="href">#<xsl:value-of select="Name" /></xsl:attribute><xsl:value-of select="position()" />. Tabela <xsl:value-of select="Name" /></xsl:element> - <xsl:value-of select="Description" /><font color="red"> UWAGA: <xsl:value-of select="Alert" /></font></div></xsl:for-each>
				</p>
				<hr />
			</xsl:if>
			
			<a name="spis_tresci"></a>
			<xsl:for-each select="//Table"><div class="poz_spec"><xsl:element name="a"><xsl:attribute name="href">#<xsl:value-of select="Name" /></xsl:attribute><xsl:value-of select="position()" />. Tabela <xsl:value-of select="Name" /></xsl:element> - 
				<xsl:choose>
					<xsl:when test="@product"> 
						<xsl:value-of select="Description" />. <font color="green">Produkt: <xsl:value-of select="@product" /></font>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="Description" />
					</xsl:otherwise>
				</xsl:choose>				
			<font color="red"> <xsl:value-of select="Alert" /></font></div></xsl:for-each>
			<xsl:apply-templates select="//Table" />
			<br />
			<hr />
			<p class="subheading">Koniec. <a class="poz_spec" href="#spis_tresci">(powrt do spisu treci)</a></p>
		</body>
	</HTML>
</xsl:template>

<xsl:template match="Table">
	<br />
	<xsl:element name="a">
		<xsl:attribute name="name"><xsl:value-of select="Name" /></xsl:attribute>
	</xsl:element>
	<h2 class="heading"><xsl:value-of select="position()" />. Tabela <xsl:value-of select="Name" /><font size="1"> autor: <xsl:value-of select="Author" /> <a href="#spis_tresci">(powrt do spisu treci)</a></font></h2>
	<p class="subheading">
		<xsl:choose>
			<xsl:when test="@product"> 
				<xsl:value-of select="Description" /><br />Produkt: <xsl:value-of select="@product" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="Description" />
			</xsl:otherwise>
		</xsl:choose>		
	<font color="red"> <xsl:value-of select="Alert" /></font></p>
	<table border="0" width="100%" cellpadding="5" cellspacing="1"> 
		<tr style="font-size:10pt;font-family:Tahoma">
			<td width="25" align="left" class="nagl_spec">L.p.</td>
			<td width="150" align="left" class="nagl_spec">Nazwa</td>
			<td align="left" class="nagl_spec">Opis</td>
			<td width="100" align="left" class="nagl_spec">Typ</td>
		</tr>
			
		<xsl:apply-templates select="Field" />
		
		<xsl:if test="Constraint">
			<tr style="font-size:10pt;font-family:Tahoma" class="nagl_spec">
				<td colspan="4">Zaoenia</td>
			</tr>
			<tr style="font-size:10pt;font-family:Tahoma">
				<td width="25" align="left" class="nagl_spec">L.p.</td>
				<td width="150" align="left" class="nagl_spec">Nazwa</td>
				<td align="left" class="nagl_spec">Opis</td>
				<td width="100" align="left" class="nagl_spec">Typ</td>
			</tr>
			<xsl:apply-templates select="Constraint" />
		</xsl:if>
		
	</table>
</xsl:template>

<xsl:template match="Field">
    <tr>
		<td width="25" align="right" class="poz_spec">
			<xsl:value-of select="position()" />
		</td>
		<td width="150" align="left" class="poz_spec"><xsl:value-of select="Name" /></td>
		<td align="left" class="poz_spec">
			<xsl:if test="self::node()[not(Description)]">
				<xsl:attribute name="STYLE">color:red</xsl:attribute>(brak opisu)
			</xsl:if>
			<xsl:if test="Description">
				<xsl:value-of select="Description" />
			</xsl:if>
		</td>
		<td width="100" align="left" class="poz_spec"><xsl:value-of select="TypeDescription" /></td>
	</tr>
</xsl:template>

<xsl:template match="Constraint">
    <tr>
		<td width="25" align="right" class="poz_spec">
			<xsl:value-of select="position()" />
		</td>
		<td width="150" align="left" class="poz_spec">
			<xsl:if test="self::node()[TypeDescription='PRIMARY KEY']">
				<img src="pk.gif" alt="*" align="center" width="13" height="13" />
				<a><xsl:attribute name="name"><xsl:value-of select="Name" /></xsl:attribute></a>
			</xsl:if>
			<xsl:value-of select="Name" /></td>
		<td align="left" class="poz_spec">
			<xsl:value-of select="Description" />
			<xsl:if test="Reference">
				-> <a><xsl:attribute name="href">#<xsl:value-of select="Reference" /></xsl:attribute><xsl:value-of select="Reference" /></a>
			</xsl:if>
		</td>
		<td width="100" align="left" class="poz_spec"><xsl:value-of select="TypeDescription" /></td>
	</tr>
</xsl:template>

</xsl:stylesheet>

